AOWP_PHPCaseStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPCaseStatementElement
/parser/ast/PHPCaseStatementElement.class.php at line 19

# Class AOWP_PHPCaseStatementElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPCaseStatementElement

public class AOWP_PHPCaseStatementElement
extends AOWP_PHPInnerStatementContainerElement

PHPCaseStatementElement PHPのASTにおける「case」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
mixed | $expr

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPCaseStatementElement(mixed _line, mixed expr, mixed innerStatements)

Method Summary
void | __toString()
void | kind()
void | setScalarExpression(mixed scalarString)

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPCaseStatementElement.class.php at line 20

### expr

`public mixed $expr`

## Constructor Detail

/parser/ast/PHPCaseStatementElement.class.php at line 22

### AOWP_PHPCaseStatementElement

`public AOWP_PHPCaseStatementElement(mixed _line, mixed expr, mixed innerStatements)`

## Method Detail

/parser/ast/PHPCaseStatementElement.class.php at line 34

### __toString

`public void __toString()`

/parser/ast/PHPCaseStatementElement.class.php at line 38

### kind

`public void kind()`

/parser/ast/PHPCaseStatementElement.class.php at line 28

### setScalarExpression

`public void setScalarExpression(mixed scalarString)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr